# Url Class Reference
[Internet standarts implementations]

URL is either absolute URI with authority part or relative one without authority part. More...

Inheritance diagram for Url:
[legend]

List of all members.

## Public Member Functions

| getKnownSubSchemes ()
| isValid ()
| fixAuthorityFromPath ()
| If scheme is present but authority is empty, authority part is taken from fisrt non-empty segment, i.e: http:////anything/...
| fixMistakenPath ()
| see: rfc3986, sec.
| toSmallString ()
| normalize ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $knownSubSchemes

## Detailed Description

URL is either absolute URI with authority part or relative one without authority part.

Definition at line 18 of file Url.class.php.

## Member Function Documentation

static Url::create | ( |  | ) | `[static]`

Returns:
  Url

Reimplemented from GenericUri.

Reimplemented in HttpUrl.

Definition at line 35 of file Url.class.php.

Referenced by fixMistakenPath(), and GenericUri::getKnownSubSchemes().

Url::fixAuthorityFromPath | ( |  | ) |

If scheme is present but authority is empty, authority part is taken from fisrt non-empty segment, i.e: http:////anything/...

becomes http://anything/...

Definition at line 60 of file Url.class.php.

References GenericUri::getAuthority(), GenericUri::setAuthority(), and GenericUri::setPath().

Referenced by HttpUrl::ensureAbsolute(), and fixMistakenPath().

Here is the call graph for this function:

Url::fixMistakenPath | ( |  | ) |

see: rfc3986, sec.

4.2, paragraph 4; rfc 2396, sec 3.1

Definition at line 80 of file Url.class.php.

References create(), fixAuthorityFromPath(), GenericUri::getAuthority(), GenericUri::setPath(), and GenericUri::setScheme().

Referenced by HttpUrl::ensureAbsolute().

Here is the call graph for this function:

Url::getKnownSubSchemes | ( |  | ) |

Reimplemented from GenericUri.

Definition at line 40 of file Url.class.php.

Url::isValid | ( |  | ) |

Reimplemented from GenericUri.

Definition at line 45 of file Url.class.php.

References GenericUri::getAuthority(), GenericUri::isAbsolute(), and GenericUri::isRelative().

Referenced by OpenIdCredentials::__construct(), OpenIdConsumer::associate(), and OpenIdConsumer::makeCheckIdRequest().

Here is the call graph for this function:

Url::normalize | ( |  | ) |

See also:
  http://tools.ietf.org/html/rfc3986#section-6

Reimplemented from GenericUri.

Reimplemented in HttpUrl.

Definition at line 128 of file Url.class.php.

References GenericUri::getPort(), and GenericUri::setPort().

Here is the call graph for this function:

Url::toSmallString | ( |  | ) |

Definition at line 108 of file Url.class.php.

References GenericUri::getAuthority().

Here is the call graph for this function:

## Member Data Documentation

Url::$knownSubSchemes`[protected]`

Initial value:

     array(
                'http'      => 'HttpUrl',
                'https'     => 'HttpUrl',
                'ftp'       => 'Url',
                'nntp'      => 'Url',
                'telnet'    => 'Url',
                'gopher'    => 'Url',
                'wais'      => 'Url',
                'file'      => 'Url',
                'prospero'  => 'Url'
            )

Reimplemented in HttpUrl.

Definition at line 20 of file Url.class.php.

The documentation for this class was generated from the following file:

- main/Net/Url.class.php